From a30bf932b6b95b61b7e8788ada99a076f1f0de9d Mon Sep 17 00:00:00 2001
From: Yongtao Huang <yongtah2022@gmail.com>
Date: Sat, 20 Jan 2024 12:01:46 +0800
Subject: [PATCH] Fix potential memory leak in tablesync.c

---
 src/backend/replication/logical/tablesync.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/backend/replication/logical/tablesync.c b/src/backend/replication/logical/tablesync.c
index 06d5b3d..9b19695 100644
--- a/src/backend/replication/logical/tablesync.c
+++ b/src/backend/replication/logical/tablesync.c
@@ -1094,6 +1094,8 @@ fetch_remote_table_info(char *nspname, char *relname,
 		ExecDropSingleTupleTableSlot(slot);
 
 		walrcv_clear_result(res);
+
+		pfree(pub_names.data);
 	}
 
 	pfree(cmd.data);
-- 
1.8.3.1

